Bug 76425 - Keep on send doesn't work in RedHat 8.0
Keep on send doesn't work in RedHat 8.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: exmh (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 13:00 EDT by Ed Friedman
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 17:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2002-10-21 13:00:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-10 i686)

Description of problem:
When using exmh and sending out e-mail, if you highlight the Keep on Send button
(under the More menu item), then the first e-mail is sent, but an error message
is generated and no more e-mail's can be sent from that window.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Select Comp from the exmh program
2.Click on the Keep on Send button which is under the More menu item
3.Enter any address and message, then click the send button.
	

Actual Results:  can't read "exmh(1,action)": no such element in array
    while executing
"string compare $exmh($id,action) dist"
    (procedure "SeditFormatMail" line 71)
    invoked from within
"SeditFormatMail $t $out $isigw"
    (procedure "SeditSave" line 7)
    invoked from within
"SeditSave $draft $t		"
    (procedure "SeditSendOnly" line 29)
    invoked from within
"SeditSendOnly $draft $t"
    (procedure "SeditSend" line 8)
    invoked from within
"SeditSend {/root/Mail/drafts/1} {.sedit1.f.t} 0"
    invoked from within
".sedit1.but.send invoke"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 [list $w invoke]"
    (procedure "tkButtonUp" line 7)
    invoked from within
"tkButtonUp .sedit1.but.send
"
    (command bound to event)

Expected Results:  No error should have occurred, and the send button should be
capable of being highlighted when a new address is entered, which is not the
case now.

Additional info:
Comment 1 Michael Fulbright 2003-01-06 17:33:03 EST
Updated Phoebe beta to latest exmh version. Please test if possible.
Comment 2 Ed Friedman 2003-01-07 13:38:19 EST
Yes, this new version fixes the problem.

Note You need to log in before you can comment on or make changes to this bug.